net.corda.core.testing

## Class PartyAndReferenceGenerator

- net.corda.core.testing.PartyAndReferenceGenerator

-     public class PartyAndReferenceGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartyAndReferenceGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartyAndReference` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Constructor Detail

    - #### PartyAndReferenceGenerator

          public PartyAndReferenceGenerator()

  - ### Method Detail

    - #### generate

          public PartyAndReference generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                            com.pholser.junit.quickcheck.generator.GenerationStatus status)